Loading...
Searching...
No Matches
ladspa::LV2Preset Struct Reference

`#include <ladspaback.h>`

## Public Attributes

std::string | sname
std::vector< PortDesc * > | ctrl_ports
LilvPlugin * | plugin
unsigned int | num_ports
std::string | cline
bool | has_preset

## Detailed Description

Definition at line 191 of file ladspaback.h.

## Member Data Documentation

## cline

std::string ladspa::LV2Preset::cline

Definition at line 196 of file ladspaback.h.

## ctrl_ports

std::vector<PortDesc*> ladspa::LV2Preset::ctrl_ports

Definition at line 193 of file ladspaback.h.

## has_preset

bool ladspa::LV2Preset::has_preset

Definition at line 197 of file ladspaback.h.

## num_ports

unsigned int ladspa::LV2Preset::num_ports

Definition at line 195 of file ladspaback.h.

## plugin

LilvPlugin* ladspa::LV2Preset::plugin

Definition at line 194 of file ladspaback.h.

## sname

std::string ladspa::LV2Preset::sname

Definition at line 192 of file ladspaback.h.

The documentation for this struct was generated from the following file:

- src/headers/ladspaback.h